gRPC C#
gRPC C#
Namespaces
Grpc.Core
Marshaller(T) Class
Marshaller(T) Constructor
Marshaller(T) Properties
Marshaller(T) Methods

Marshaller T Constructor

Initializes a new marshaller.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public Marshaller(
    	Func<T, byte[]> serializer,
    	Func<byte[], T> deserializer
    )

    Public Sub New (
    	serializer As Func(Of T, Byte()),
    	deserializer As Func(Of Byte(), T)
    )

    public:
    Marshaller(
    	Func<T, array<unsigned char>^>^ serializer,
    	Func<array<unsigned char>^, T>^ deserializer
    )

    new :
            serializer : Func<'T, byte[]> *
            deserializer : Func<byte[], 'T> -> Marshaller

#### Parameters

serializer
  Type: System
  Func
  T,
  Byte
  Function that will be used to serialize messages.
deserializer
  Type: System
  Func
  Byte
  , T
  Function that will be used to deserialize messages.

See Also

#### Reference

Marshaller
T
Class
Grpc.Core Namespace